## pango1.0 1.42.4

=== debian/changelog ===
pango1.0 (1.42.4-8~deb10u1) buster; urgency=medium

  * Team upload
  * Merge changes from 1.42.4-8 into buster
    - d/gbp.conf, d/control: Set packaging branch to debian/buster

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Apr 2020 21:06:53 +0100

pango1.0 (1.42.4-8) unstable; urgency=medium

  * Team upload
  * d/p/Fix-crash-in-pango_fc_font_key_get_variations-when-key-is.patch:
    Backport crash fix from 1.44.x (Closes: #898960)
  * d/tests/build: Use correct compiler for proposed autopkgtest
    cross-architecture testing support, based on a patch for clutter-1.0
    by Steve Langasek
  * d/tests/build: Fix shellcheck warnings
  * d/tests/build: Remove trailing whitespace
  * d/tests/build: Fail if using an undefined variable ("unofficial strict
    mode")
  * d/tests/build: Mark as superficial
  * d/gbp.conf, d/control: Use debian/unstable, upstream/1.42.x branches

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Dec 2019 20:19:17 +0000

pango1.0 (1.42.4-7~deb10u1) buster-security; urgency=medium

  * Team upload
  * Rebuild for buster-security
  * d/gbp.conf: Set upstream branch to upstream/1.42.x
  * d/gbp.conf: Set packaging branch to debian/buster

 -- Simon McVittie <smcv@debian.org>  Sat, 10 Aug 2019 11:15:40 +0100

pango1.0 (1.42.4-7) unstable; urgency=medium

  * Team upload
  * d/p/bidi-Be-safer-against-bad-input.patch:
    Fix heap overflow when acting on malformed UTF-8.
    (Closes: #933860; CVE-2019-1010238)

 -- Simon McVittie <smcv@debian.org>  Sun, 04 Aug 2019 17:20:47 +0100

pango1.0 (1.42.4-6) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 11:33:12 -0500

pango1.0 (1.42.4-5) unstable; urgency=medium

  * Backport the emoji & Unicode 11 updates from pango 1.43 (LP: #1808075)
  * libpango1.0-dev: drop unnecessary Recommends: debhelper

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 11 Dec 2018 20:49:15 -0500

pango1.0 (1.42.4-4) unstable; urgency=medium

  [ Hugh McMaster ]
  * debian/copyright: Update for Pango 1.42.4
  * debian/control.in: Split the development utilities into a new package
  * debian/control.in: Mark libpango1.0-dev Multi-Arch: same

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 15 Nov 2018 11:01:28 -0500

pango1.0 (1.42.4-3) unstable; urgency=medium

  * Add build-Don-t-force-C99-for-meson-build.patch:
    - proposed patch to fix build differences on i386 (Closes: #907522)

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 06 Sep 2018 13:23:27 -0400

pango1.0 (1.42.4-2) unstable; urgency=medium

  * Build with meson

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 28 Aug 2018 08:20:08 -0400

pango1.0 (1.42.4-1) unstable; urgency=medium

  * New upstream release
    - CVE-2018-15120
  * debian/libpango1.0-dev.install: Install new pango-list utility
  * Drop fribidi patch: applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 20 Aug 2018 14:13:07 -0400

pango1.0 (1.42.1-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Drop obsolete debian/source/options

  [ Simon McVittie ]
  * d/p/pango.pc.in-Move-fribidi-to-Requires.private.patch:
    Move fribidi from Requires to Requires.private (Closes: #895235)

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Jun 2018 13:16:24 +0100

pango1.0 (1.42.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Build-Depends on libfontconfig1-dev to >= 2.11.91
  * Have libpango1.0-dev depend on libfribidi-dev
  * debian/rules: Drop unnecessary gnome-get-source include
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 07 Apr 2018 09:22:59 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: pango1.0
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11),
               fonts-cantarell <!nocheck>,
               gnome-pkg-tools (>= 0.11),
               gobject-introspection (>= 0.9.12-4~),
               gtk-doc-tools (>= 1.15),
               help2man,
               libcairo2-dev (>= 1.12.10),
               libfontconfig1-dev (>= 2.11.91),
               libfreetype6-dev (>= 2.1.7),
               libfribidi-dev (>= 0.19.7),
               libgirepository1.0-dev (>= 0.9.5),
               libglib2.0-dev (>= 2.34.0),
               libharfbuzz-dev (>= 1.2.3),
               libthai-dev (>= 0.1.22-3~),
               libx11-dev (>= 2:1.3.3-2),
               libxft-dev (>= 2.1.14-2),
               libxrender-dev (>= 1:0.9.0.2-2),
               libxt-dev,
               meson (>= 0.43.0),
               perl,
               pkg-config
Build-Depends-Indep: libglib2.0-doc <!nodoc>
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/pango
Vcs-Git: https://salsa.debian.org/gnome-team/pango.git -b debian/buster
Homepage: http://www.pango.org/

Package: libpango1.0-0
Section: oldlibs
Architecture: any
Depends: libpango-1.0-0 (= ${binary:Version}),
         libpangocairo-1.0-0 (= ${binary:Version}),
         libpangoft2-1.0-0 (= ${binary:Version}),
         libpangox-1.0-0 (>= 0.0.2-2~),
         libpangoxft-1.0-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Layout and rendering of internationalized text (transitional package)
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This is a transitional package.

Package: libpango-1.0-0
Architecture: any
Depends: fontconfig (>= 2.1.91), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Layout and rendering of internationalized text
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the shared libraries.

Package: libpangocairo-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Layout and rendering of internationalized text
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the shared libraries.

Package: libpangoxft-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Layout and rendering of internationalized text
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the shared libraries.

Package: libpangoft2-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Layout and rendering of internationalized text
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the shared libraries.

Package: libpango1.0-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Layout and rendering of internationalized text - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the minimal runtime library needed by the Debian
 installer.

Package: libpango1.0-dev
Section: libdevel
Architecture: any
Depends: gir1.2-pango-1.0 (= ${binary:Version}),
         libcairo2-dev (>= 1.12.10),
         libfontconfig1-dev (>= 2.11.91),
         libfreetype6-dev,
         libfribidi-dev (>= 0.19.7),
         libglib2.0-dev (>= 2.34.0),
         libharfbuzz-dev (>= 0.9.9),
         libpango-1.0-0 (= ${binary:Version}),
         libpangocairo-1.0-0 (= ${binary:Version}),
         libpangoft2-1.0-0 (= ${binary:Version}),
         libpangoxft-1.0-0 (= ${binary:Version}),
         libx11-dev,
         libxft-dev,
         libxrender-dev,
         pango1.0-tools (= ${binary:Version}),
         pkg-config,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: imagemagick, libpango1.0-doc
Multi-Arch: same
Description: Development files for the Pango
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the header files and some files needed for development
 with Pango.

Package: libpango1.0-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Depends: ${misc:Depends}
Recommends: libglib2.0-doc
Multi-Arch: foreign
Description: Documentation files for the Pango
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the HTML documentation for the Pango in
 /usr/share/doc/libpango1.0-doc/ .

Package: gir1.2-pango-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: gir1.2-pangocairo-1.0 (= ${binary:Version}),
          gir1.2-pangoft2-1.0 (= ${binary:Version}),
          gir1.2-pangoxft-1.0 (= ${binary:Version})
Multi-Arch: same
Description: Layout and rendering of internationalized text - gir bindings
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: pango1.0-tests
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-cantarell
Description: Layout and rendering of internationalized text - installed tests
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: pango1.0-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: foreign
Replaces: libpango1.0-dev (<< 1.42.4-4)
Breaks: libpango1.0-dev (<< 1.42.4-4)
Description: Development utilities for Pango
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. However, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+ 2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome,gir --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/pango1.0 \
		-Denable_docs=true

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V --add-udeb=libpango1.0-udeb -- -c4

=== debian/tests/control ===
Tests: build
Depends: build-essential, libpango1.0-dev, pkg-config
Restrictions: superficial

Tests: installed-tests
Depends: pango1.0-tests, dbus (>= 1.8), xauth, xvfb, gnome-desktop-testing

## pango1.0 1.44.7

=== debian/changelog ===
pango1.0 (1.44.7-2ubuntu4) focal; urgency=medium

  * Backport some Debian changes to try to fix upgrade issues (lp: #1871960)

  [ Simon McVittie ]
  * d/shlibs.local: Upgrade all binary packages in lockstep.
    Like many projects where one source package builds multiple binary
    packages, Pango has private headers that share non-public interfaces
    between its binary packages. Upgrading one binary package from this
    source without upgrading the others is not something that its upstream
    developers are ever going to test or support, and neither should we.
    (Closes: #958017)
  * libpango-1.0-0: Add Breaks on older libpango*-1.0-0.
    This should ensure that buster users can't get a broken partial upgrade
    by upgrading only libpango-1.0-0, but not the others, from 1.42.x to
    1.44.x.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Apr 2020 18:02:31 +0200

pango1.0 (1.44.7-2ubuntu3) focal; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Add libcairo2-doc, libgtk-3-doc and libharfbuzz-doc
    to BDI to fix more links between gtk-doc files

  [ Jeremy Bicha ]
  * Cherry-pick Update-pango-emoji-table.h-to-Unicode-Emoji-Data-13.0.patch:
    - Prepare for Unicode 13.0 (LP: #1871972)

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 09 Apr 2020 21:27:07 -0400

pango1.0 (1.44.7-2ubuntu2) focal; urgency=medium

  * debian/control.in:
    - version the provide, that seems needed for some of those closed
      source softwares (lp: #1869716)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 30 Mar 2020 20:58:10 +0200

pango1.0 (1.44.7-2ubuntu1) focal; urgency=medium

  * debian/control.in:
    - libpango-1.0-0 Provides libpango1.0-0, the old name is still used
      in closed sources packages which we can't rebuild (lp: #1869716)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 30 Mar 2020 17:20:23 +0200

pango1.0 (1.44.7-2) experimental; urgency=medium

  * Team upload
  * d/control.in: Drop libpango1.0-0 transitional package
    (Closes: #940744, #948462)
  * d/tests/build: Use correct compiler for proposed autopkgtest
    cross-architecture testing support, based on a patch for clutter-1.0
    by Steve Langasek
  * d/tests/build: Fix shellcheck warnings
  * d/tests/build: Remove trailing whitespace
  * d/tests/build: Fail if using an undefined variable ("unofficial strict
    mode")
  * Trim trailing whitespace from debian/changelog
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump Standards-Version to 4.5.0
  * Use debhelper-compat 12
    - Drop dh_makeshlibs -V, it is now the default
    - Install tests to default /usr/libexec/installed-tests

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Feb 2020 18:26:11 +0000

pango1.0 (1.44.7-1) experimental; urgency=medium

  * New upstream release
    - Fix tests without libthai
    - Small speedup to Emoji iteration
    - Bring back PangoFontsetSimple (pygtk bind it)

 -- Iain Lane <laney@debian.org>  Mon, 04 Nov 2019 16:46:18 +0000

pango1.0 (1.44.6-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release
    - Update symbols files
    - Update build-dependencies according to meson.build
    - d/rules: Adjust to rename of enable_docs build option to gtk_doc
    - d/copyright: Update
    - Don't package AUTHORS, which is no longer shipped upstream
    - Adjust for upstream rename of README to README.md
  * Stop removing pango-view/pango-view.1.in from orig tarball.
    It has moved to utils/pango-view.1.in, and the Meson build system
    doesn't refer to it anyway.
  * d/p/build-Don-t-force-C99-for-meson-build.patch:
    Drop patch, no longer applicable and rejected upstream. We should
    reassess whether a similar change is needed before promoting this
    version from experimental to unstable.
  * d/p/*: Drop all other patches, applied upstream
  * d/rules: Continue to install installed-tests.
    They are now disabled by default, so explicitly enable them.
  * Add Provides for the new PangoFT2 and PangoXft GIR names
  * d/control: Make libpango1.0-dev depend on libthai-dev.
    The pkg-config metadata now pulls it in.
  * d/control: Sync libpango1.0-dev dependencies with versioned build-deps
  * Build-time tests:
    - Build-depend on locales, and generate an en_US locale that we can
      use to run build-time tests
    - Don't run build-time tests for the Architecture: all build, only
      for the Architecture: any builds
  * debian/tests:
    - Make the installed-tests depend on locales, and generate an en_US
      locale for those too
    - Use AUTOPKGTEST_TMP instead of deprecated ADTTMP
    - Mark build test as superficial
    - Add a test for the GObject-Introspection bindings

  [ Iain Lane ]
  * New upstream release
  * debian/libpango-1.0-0.symbols: Add pango_attr_insert_hyphens_new
  * control: BD on meson ≥ 0.50.0, now required by upstream

 -- Iain Lane <laney@debian.org>  Wed, 04 Sep 2019 14:35:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 12),
                fonts-cantarell <!nocheck>,
                gnome-pkg-tools (>= 0.11),
                gobject-introspection (>= 0.9.12-4~),
@@ -18,52 +18,35 @@
                libfreetype6-dev (>= 2.1.7),
                libfribidi-dev (>= 0.19.7),
                libgirepository1.0-dev (>= 0.9.5),
-               libglib2.0-dev (>= 2.34.0),
-               libharfbuzz-dev (>= 1.2.3),
+               libglib2.0-dev (>= 2.59.2),
+               libharfbuzz-dev (>= 2.0.0),
                libthai-dev (>= 0.1.22-3~),
                libx11-dev (>= 2:1.3.3-2),
                libxft-dev (>= 2.1.14-2),
                libxrender-dev (>= 1:0.9.0.2-2),
                libxt-dev,
-               meson (>= 0.43.0),
+               locales <!nocheck>,
+               meson (>= 0.50.0),
                perl,
                pkg-config
-Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/pango
-Vcs-Git: https://salsa.debian.org/gnome-team/pango.git -b debian/buster
-Homepage: http://www.pango.org/
-
-Package: libpango1.0-0
-Section: oldlibs
-Architecture: any
-Depends: libpango-1.0-0 (= ${binary:Version}),
-         libpangocairo-1.0-0 (= ${binary:Version}),
-         libpangoft2-1.0-0 (= ${binary:Version}),
-         libpangox-1.0-0 (>= 0.0.2-2~),
-         libpangoxft-1.0-0 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Multi-Arch: same
-Description: Layout and rendering of internationalized text (transitional package)
- Pango is a library for layout and rendering of text, with an emphasis
- on internationalization. Pango can be used anywhere that text layout is
- needed. however, most of the work on Pango-1.0 was done using the GTK+
- widget toolkit as a test platform. Pango forms the core of text and
- font handling for GTK+-2.0.
- .
- Pango is designed to be modular; the core Pango layout can be used with
- four different font backends:
-  - Core X windowing system fonts
-  - Client-side fonts on X using the Xft library
-  - Direct rendering of scalable fonts using the FreeType library
-  - Native fonts on Microsoft backends
- .
- This is a transitional package.
+Build-Depends-Indep: libcairo2-doc <!nodoc>,
+                     libglib2.0-doc <!nodoc>,
+                     libgtk-3-doc <!nodoc>,
+                     libharfbuzz-doc <!nodoc>
+Standards-Version: 4.5.0
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/pango
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/pango.git
+Vcs-Git: https://salsa.debian.org/gnome-team/pango.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/pango/tree/ubuntu/master
+Homepage: https://www.pango.org/
 
 Package: libpango-1.0-0
 Architecture: any
 Depends: fontconfig (>= 2.1.91), ${misc:Depends}, ${shlibs:Depends}
+Provides: libpango1.0-0 (= ${binary:Version})
+Breaks: libpangocairo-1.0-0 (<< 1.44.7),
+        libpangoft2-1.0-0 (<< 1.44.7),
+        libpangoxft-1.0-0 (<< 1.44.7),
 Multi-Arch: same
 Description: Layout and rendering of internationalized text
  Pango is a library for layout and rendering of text, with an emphasis
@@ -169,17 +152,18 @@
 Depends: gir1.2-pango-1.0 (= ${binary:Version}),
          libcairo2-dev (>= 1.12.10),
          libfontconfig1-dev (>= 2.11.91),
-         libfreetype6-dev,
+         libfreetype6-dev (>= 2.1.7),
          libfribidi-dev (>= 0.19.7),
-         libglib2.0-dev (>= 2.34.0),
-         libharfbuzz-dev (>= 0.9.9),
+         libglib2.0-dev (>= 2.59.2),
+         libharfbuzz-dev (>= 2.0.0),
          libpango-1.0-0 (= ${binary:Version}),
          libpangocairo-1.0-0 (= ${binary:Version}),
          libpangoft2-1.0-0 (= ${binary:Version}),
          libpangoxft-1.0-0 (= ${binary:Version}),
-         libx11-dev,
-         libxft-dev,
-         libxrender-dev,
+         libthai-dev (>= 0.1.22-3~),
+         libx11-dev (>= 2:1.3.3-2),
+         libxft-dev (>= 2.1.14-2),
+         libxrender-dev (>= 1:0.9.0.2-2),
          pango1.0-tools (= ${binary:Version}),
          pkg-config,
          ${misc:Depends},
@@ -232,7 +216,9 @@
 Architecture: any
 Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: gir1.2-pangocairo-1.0 (= ${binary:Version}),
+          gir1.2-pangofc-1.0 (= ${binary:Version}),
           gir1.2-pangoft2-1.0 (= ${binary:Version}),
+          gir1.2-pangoot-1.0 (= ${binary:Version}),
           gir1.2-pangoxft-1.0 (= ${binary:Version})
 Multi-Arch: same
 Description: Layout and rendering of internationalized text - gir bindings
@@ -291,3 +277,7 @@
   - Core X windowing system fonts
   - Client-side fonts on X using the Xft library
   - Direct rendering of scalable fonts using the FreeType library
+  - Native fonts on Microsoft backends.
+ .
+ This package contains pango-view, the Pango text viewer, and pango-list,
+ a utility that outputs a list of compatible system fonts.

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,24 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libexecdir=/usr/lib/pango1.0 \
-		-Denable_docs=true
+		-Dgtk_doc=true \
+		-Dinstall-tests=true \
+		$(NULL)
+
+override_dh_auto_test-arch:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	mkdir -p $(CURDIR)/debian/locales
+	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en_US.UTF-8
+	LOCPATH=$(CURDIR)/debian/locales dh_auto_test
+endif
+
+# Skip build-time tests if all we are building is documentation; running
+# them once per architecture is plenty
+override_dh_auto_test-indep:
+	@:
 
 override_dh_missing:
 	dh_missing --fail-missing
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V --add-udeb=libpango1.0-udeb -- -c4
+	dh_makeshlibs --add-udeb=libpango1.0-udeb -- -c4

=== debian/tests/control ===
Tests: build
Depends: build-essential, libpango1.0-dev, pkg-config
Restrictions: superficial

Tests: installed-tests
Depends: locales, pango1.0-tests, dbus (>= 1.8), xauth, xvfb, gnome-desktop-testing

Tests: python3-gi
Depends: gir1.2-gdk-3.0, gir1.2-pango-1.0, python3-gi, xauth, xvfb
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
https://download.gnome.org/sources/pango/([\d\.]+[02468])/ \
	pango@ANY_VERSION@\.tar\.xz

## pango1.0 1.46.2

=== meson_options.txt ===
option('gtk_doc',
       description: 'Build API reference for Pango using GTK-Doc',
       type: 'boolean',
       value: false)
option('introspection',
       description: 'Build the GObject introspection data for Pango',
       type: 'boolean',
       value: true)
option('install-tests',
       description : 'Install tests',
       type: 'boolean',
       value: 'false')
option('fontconfig',
       description : 'Build with FontConfig support. Passing \'auto\' or \'disabled\' disables fontconfig where it is optional, i.e. on Windows and macOS. Passing \'disabled\' on platforms where fontconfig is required results in error.',
       type: 'feature',
       value: 'auto')
option('sysprof',
       type : 'feature',
       value : 'disabled',
       description : 'include tracing support for sysprof')
option('libthai',
       type : 'feature',
       value : 'auto',
       description : 'Build with libthai support')
option('cairo',
       type : 'feature',
       value : 'auto',
       description : 'Build with cairo support')
option('xft',
       type : 'feature',
       value : 'auto',
       description : 'Build with xft support')
option('freetype',
       type : 'feature',
       value : 'auto',
       description : 'Build with freetype support')

=== debian/changelog ===
pango1.0 (1.46.2-3) unstable; urgency=medium

  * Team upload
  * d/p/fc_Sort-faces-of-a-family.patch,
    d/p/fontconfig_Try-harder-to-return-a-default-face.patch:
    - Show regular monospace fonts in gnome-terminal's profile editor
      and not arbitrary font styles (LP: #1900729)

  [ Simon McVittie ]
  * d/gbp.conf: Use upstream/1.46.x branch

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 10 Nov 2020 21:41:00 +0100

pango1.0 (1.46.2-2) unstable; urgency=medium

  * Team upload
  * Use debian/tests/run-with-locales (originally from the gtk+4.0 Debian
    packaging) instead of open-coding it
    - d/rules, d/tests/installed-tests: Name the en_US locale as expected.
      Pango's tests want to see it in the normalized form en_US.utf8.
    - Run all tests in the newly-generated en_US.utf8 locale
  * Build-depend on fonts-noto-core so we can test Thai word-breaking.
    tests/breaks/four.break is skipped if we don't have any Thai fonts.
  * Build-depend on fonts-noto-color-emoji so we can test odd symbols.
    tests/layouts/valid-6.markup wants an emoji/symbols/dingbats font
    that can handle U+FE0F U+20E3 (VARIATION SELECTOR-16, COMBINING
    ENCLOSING KEYCAP).
  * d/p/Revert-testsuite-Don-t-use-g_test_skip.patch:
    Add patch to improve unit test output.
    Upstream avoids g_test_skip() as a workaround for a Meson bug, but
    we can get a fixed Meson by build-depending on at least 0.55.3.
  * d/p/Tolerate-slightly-different-output-for-the-word-breaking-.patch:
    Add patch to tolerate slightly different Thai word-breaking.
    Dashes are treated as a word start, word break and word end on Fedora,
    but a word start and word break (only) on Debian. It isn't clear why.
    (If you can help, please see #971546)

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Nov 2020 20:24:40 +0000

pango1.0 (1.46.2-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Enable all auto features

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 29 Sep 2020 20:28:10 -0400

pango1.0 (1.46.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Drop patch for #968337, applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 25 Aug 2020 13:46:46 +0100

pango1.0 (1.46.0-2) unstable; urgency=medium

  * Team upload
  * d/p/renderer-Move-overline-to-priv-data-structure.patch:
    Revert ABI break on 32-bit architectures in 1.45.1 (Closes: #968337)

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Aug 2020 14:07:31 +0100

pango1.0 (1.46.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Reinstate libpango1.0-0, since it has passed NEW now
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Aug 2020 11:13:10 +0100

pango1.0 (1.45.5-1) experimental; urgency=medium

  * Team upload
  * New upstream release (Closes: #964380)
  * d/watch: Look for odd-numbered branches too
  * d/control.in: Update dependencies
  * d/copyright: Update
  * Drop patch, applied upstream
  * d/*.symbols: Update
  * Temporarily remove libpango1.0-0 again to decouple this version
    update from the NEW queue

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Aug 2020 20:50:54 +0100

pango1.0 (1.44.7-5) unstable; urgency=medium

  * Team upload
  * Revert removal of libpango1.0-0 binary package.
    Apparently 7 years is not long enough to update dependencies in the
    fast-moving world of third-party proprietary software.
    - Relax version constraints from lockstep versioning to (>= 1.42)
      (which is still 5 years newer than the last real libpango1.0-0
      package) so that the obsolete binary package can stay on end-user
      systems after upgrade, even after it has been removed from Debian.
    - Downgrade libpangox-1.0-0 dependency to Suggests.
      This is not strictly correct, because libpango1.0-0 traditionally
      included libpangox. However, libpangox is unmaintained upstream,
      in danger of being removed from Debian, and no longer present in
      Ubuntu i386, and in practice it seems to be rarely-used.
    (Closes: #958035, #956520, #959978, #958477)
  * d/rules: Don't explicitly use --as-needed linker option.
    It's the default with bullseye toolchains.

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Aug 2020 21:56:44 +0100

pango1.0 (1.44.7-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Cherry-pick Update-pango-emoji-table.h-to-Unicode-Emoji-Data-13.0.patch:
    - Prepare for Unicode 13.0 (LP: #1871972)

  [ Simon McVittie ]
  * d/shlibs.local: Upgrade all binary packages in lockstep.
    Like many projects where one source package builds multiple binary
    packages, Pango has private headers that share non-public interfaces
    between its binary packages. Upgrading one binary package from this
    source without upgrading the others is not something that its upstream
    developers are ever going to test or support, and neither should we.
    (Closes: #958017)
  * libpango-1.0-0: Add Breaks on older libpango*-1.0-0.
    This should ensure that buster users can't get a broken partial upgrade
    by upgrading only libpango-1.0-0, but not the others, from 1.42.x to
    1.44.x.

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Apr 2020 15:25:51 +0100

pango1.0 (1.44.7-3) unstable; urgency=medium

  * debian/control.in: Add libcairo2-doc, libgtk-3-doc and libharfbuzz-doc to
    BDI to fix more links between gtk-doc files

 -- Laurent Bigonville <bigon@debian.org>  Thu, 02 Apr 2020 13:00:27 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,8 @@
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                fonts-cantarell <!nocheck>,
+               fonts-noto-color-emoji <!nocheck>,
+               fonts-noto-core <!nocheck>,
                gnome-pkg-tools (>= 0.11),
                gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools (>= 1.15),
@@ -18,15 +20,15 @@
                libfreetype6-dev (>= 2.1.7),
                libfribidi-dev (>= 0.19.7),
                libgirepository1.0-dev (>= 0.9.5),
-               libglib2.0-dev (>= 2.59.2),
+               libglib2.0-dev (>= 2.60.0),
                libharfbuzz-dev (>= 2.0.0),
                libthai-dev (>= 0.1.22-3~),
                libx11-dev (>= 2:1.3.3-2),
                libxft-dev (>= 2.1.14-2),
                libxrender-dev (>= 1:0.9.0.2-2),
                libxt-dev,
-               locales <!nocheck>,
-               meson (>= 0.50.0),
+               locales <!nocheck> | locales-all <!nocheck>,
+               meson (>= 0.55.3),
                perl,
                pkg-config
 Build-Depends-Indep: libcairo2-doc <!nodoc>,
@@ -34,16 +36,43 @@
                      libgtk-3-doc <!nodoc>,
                      libharfbuzz-doc <!nodoc>
 Standards-Version: 4.5.0
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/pango
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/pango.git
-Vcs-Git: https://salsa.debian.org/gnome-team/pango.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/pango/tree/ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/pango
+Vcs-Git: https://salsa.debian.org/gnome-team/pango.git
 Homepage: https://www.pango.org/
 
+Package: libpango1.0-0
+Section: oldlibs
+Architecture: any
+Depends: libpango-1.0-0 (>= 1.42),
+         libpangocairo-1.0-0 (>= 1.42),
+         libpangoft2-1.0-0 (>= 1.42),
+         libpangoxft-1.0-0 (>= 1.42),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: libpangox-1.0-0 (>= 0.0.2-2~),
+Multi-Arch: same
+Description: Layout and rendering of internationalized text (transitional package)
+ Pango is a library for layout and rendering of text, with an emphasis
+ on internationalization. Pango can be used anywhere that text layout is
+ needed. however, most of the work on Pango-1.0 was done using the GTK+
+ widget toolkit as a test platform. Pango forms the core of text and
+ font handling for GTK+-2.0.
+ .
+ Pango is designed to be modular; the core Pango layout can be used with
+ four different font backends:
+  - Core X windowing system fonts
+  - Client-side fonts on X using the Xft library
+  - Direct rendering of scalable fonts using the FreeType library
+  - Native fonts on Microsoft backends
+ .
+ This is a transitional package and will be removed in a future release.
+ Third-party packages should depend on the individual libraries that they
+ use instead. If another package depends on this one, please report that
+ as a bug.
+
 Package: libpango-1.0-0
 Architecture: any
 Depends: fontconfig (>= 2.1.91), ${misc:Depends}, ${shlibs:Depends}
-Provides: libpango1.0-0 (= ${binary:Version})
 Breaks: libpangocairo-1.0-0 (<< 1.44.7),
         libpangoft2-1.0-0 (<< 1.44.7),
         libpangoxft-1.0-0 (<< 1.44.7),
@@ -154,7 +183,7 @@
          libfontconfig1-dev (>= 2.11.91),
          libfreetype6-dev (>= 2.1.7),
          libfribidi-dev (>= 0.19.7),
-         libglib2.0-dev (>= 2.59.2),
+         libglib2.0-dev (>= 2.60.0),
          libharfbuzz-dev (>= 2.0.0),
          libpango-1.0-0 (= ${binary:Version}),
          libpangocairo-1.0-0 (= ${binary:Version}),
@@ -240,7 +269,11 @@
 
 Package: pango1.0-tests
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-cantarell
+Depends: fonts-cantarell,
+         fonts-noto-color-emoji,
+         fonts-noto-core,
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: Layout and rendering of internationalized text - installed tests
  Pango is a library for layout and rendering of text, with an emphasis
  on internationalization. Pango can be used anywhere that text layout is
@@ -256,28 +289,3 @@
   - Native fonts on Microsoft backends
  .
  This package contains test programs, designed to be run as part of a
- regression testsuite.
-
-Package: pango1.0-tools
-Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Multi-Arch: foreign
-Replaces: libpango1.0-dev (<< 1.42.4-4)
-Breaks: libpango1.0-dev (<< 1.42.4-4)
-Description: Development utilities for Pango
- Pango is a library for layout and rendering of text, with an emphasis
- on internationalization. Pango can be used anywhere that text layout is
- needed. However, most of the work on Pango-1.0 was done using the GTK+
- widget toolkit as a test platform. Pango forms the core of text and
- font handling for GTK+ 2.0.
- .
- Pango is designed to be modular; the core Pango layout can be used with
- four different font backends:
-  - Core X windowing system fonts
-  - Client-side fonts on X using the Xft library
-  - Direct rendering of scalable fonts using the FreeType library
-  - Native fonts on Microsoft backends.
- .
- This package contains pango-view, the Pango text viewer, and pango-list,
- a utility that outputs a list of compatible system fonts.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@ --with gnome,gir --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dgtk_doc=true \
		-Dinstall-tests=true \
		$(NULL)

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/tests/run-with-locales \
		--generate en_US.utf8 \
		-- \
	env \
		LC_ALL=en_US.utf8 \
	dh_auto_test
endif

# Skip build-time tests if all we are building is documentation; running
# them once per architecture is plenty
override_dh_auto_test-indep:
	@:

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs --add-udeb=libpango1.0-udeb -- -c4

=== debian/watch ===
version=4
https://download.gnome.org/sources/pango/([\d\.]+[02468])/ \
	pango@ANY_VERSION@@ARCHIVE_EXT@

## pango1.0 1.48.2

=== debian/changelog ===
pango1.0 (1.48.2-1build2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:35:51 +0100

pango1.0 (1.48.2-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:19:30 +0000

pango1.0 (1.48.2-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Increase GLib build-dependency
    - Drop patch that was applied upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Feb 2021 10:48:27 +0000

pango1.0 (1.48.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Merge packaging from unstable, rejecting the changes
    (not needed for 1.48.0)
  * Refresh patch series, dropping a patch that was applied upstream
  * d/rules: Make scripts executable where needed

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Dec 2020 14:03:26 +0000

pango1.0 (1.47.0-1) experimental; urgency=medium

  * Team upload
  * d/watch, d/gbp.conf, d/control.in: Branch for experimental.
    GTK 4 needs pango 1.47, but that version is unlikely to be ready in
    time for the Debian 11 freeze.
  * New upstream development release
  * Update symbols files
  * Add patch to fix an introspection API break

 -- Simon McVittie <smcv@debian.org>  Fri, 06 Nov 2020 11:13:27 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: pango1.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                fonts-cantarell <!nocheck>,
@@ -20,7 +21,7 @@
                libfreetype6-dev (>= 2.1.7),
                libfribidi-dev (>= 0.19.7),
                libgirepository1.0-dev (>= 0.9.5),
-               libglib2.0-dev (>= 2.60.0),
+               libglib2.0-dev (>= 2.62.0),
                libharfbuzz-dev (>= 2.0.0),
                libthai-dev (>= 0.1.22-3~),
                libx11-dev (>= 2:1.3.3-2),
@@ -37,7 +38,7 @@
                      libharfbuzz-doc <!nodoc>
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/pango
-Vcs-Git: https://salsa.debian.org/gnome-team/pango.git
+Vcs-Git: https://salsa.debian.org/gnome-team/pango.git -b debian/experimental
 Homepage: https://www.pango.org/
 
 Package: libpango1.0-0
@@ -183,7 +184,7 @@
          libfontconfig1-dev (>= 2.11.91),
          libfreetype6-dev (>= 2.1.7),
          libfribidi-dev (>= 0.19.7),
-         libglib2.0-dev (>= 2.60.0),
+         libglib2.0-dev (>= 2.62.0),
          libharfbuzz-dev (>= 2.0.0),
          libpango-1.0-0 (= ${binary:Version}),
          libpangocairo-1.0-0 (= ${binary:Version}),
@@ -286,6 +287,3 @@
   - Core X windowing system fonts
   - Client-side fonts on X using the Xft library
   - Direct rendering of scalable fonts using the FreeType library
-  - Native fonts on Microsoft backends
- .
- This package contains test programs, designed to be run as part of a

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 	dh $@ --with gnome,gir --buildsystem=meson
 
 override_dh_auto_configure:
+	chmod +x tests/gen-all-unicode.py
+	chmod +x tests/gen-installed-test.py
 	dh_auto_configure -- \
 		-Dauto_features=enabled \
 		-Dgtk_doc=true \

=== debian/watch ===
version=4
https://download.gnome.org/sources/pango/([\d\.]+)/ \
	pango@ANY_VERSION@@ARCHIVE_EXT@
